local Menu = class:extend("Menu")

local width = W()/3

function Menu:__init__(kwargs)

    
end

local actions = {"stand","walk","run","gun","turn","feel"}
function Menu:getNewAction()
    local act = lume.randomchoice(actions)
    local pl = self.displayPlayer
    local time = {5,10}
    
    if act == "walk" then
        pl.sprite:switch("walking")
    elseif act == "stand" then
        pl.sprite:switch("standing")
    elseif act == "run" then
        pl.sprite:switch("running")
    elseif act == "turn" then
        pl.flipX = pl.flipX*-1
        pl.Rjoystick.angle = math.rad(math.deg(pl.Rjoystick.angle)*-1)
        time = {3,7}
    elseif act == "gun" then
        local time = math.random(3,5)
        local ang = math.rad(math.random(-80,80)*pl.flipX)
        self.timer:tween(time, pl.Rjoystick,{angle=ang})
        local angle = pl.Rjoystick.angle
      --[[  self.Rjoystick.angle = 0
                if math.deg(angle)>90 and math.deg(angle)<270 then
                    self.flipX = -1
                else--if math.deg(angle)<180 and math.deg(angle)>0 then
                    self.flipX = 1
                end]]
    elseif act == "feel" then
        pl:feelRandom()
        time = {2,3}
    end
    
    local function changeAct()
        self:getNewAction()
    end
    self.timer:after(time,changeAct)
end

function Menu:draw()
    self.displayPlayer:draw()
end

function Menu:destroy()
    gooi.removeComponent(self.options)
    gooi.removeComponent(self.colorGrid)
    self.active = false
end

function Menu:create()
    self.hatChooser:setItem(game.settings.hat)
    self.hat2Chooser:setItem(game.settings.hat2)
    
    gooi.removeComponent(self.options)
    gooi.addComponent(self.options)
    if not self.displayPlayer then
        self.displayPlayer = game:getPassivePlayer()
    end
    self:getNewAction()
end

function Menu:update(dt)
    --gooi.update(dt)
    self.timer:update(dt)
    self.displayPlayer:update(dt)
end

function Menu:mousepressued(x,y,button)
    gooi.pressed()
end

function Menu:mousereleasued(x,y,button)
    gooi.released()
end

function Menu:touchpressued(id, x, y, dx, dy, pressure)
    self.listbox:press(x,y)
end

function Menu:touchreleaused(id, x, y, dx, dy, pressure)
    self.listbox:released(x,y)
end

return Menu